import os
import shutil
import unittest
from functools import partial
from packgram.project.create import create


class create_Test(unittest.TestCase):

    # Actions

    def setUp(self):
        self.pcreate = partial(create, bootstrap='')

    def tearDown(self):
        shutil.rmtree(self.make_path('path'), ignore_errors=True)

    # Helpers

    def make_path(self, *args):
        return os.path.join(
            os.path.dirname(__file__), 'fixtures', 'create', *args)

    # Tests

    def test(self):
        self.pcreate(target=self.make_path('path'))
        self.assertIn('runfile.py', os.listdir(self.make_path('path')))
